summaryrefslogtreecommitdiffstats
path: root/network/varnish
diff options
context:
space:
mode:
author Cherife Li <cherife@dotimes.com>2010-05-11 22:25:55 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:25:55 +0200
commitfed255237c59c298f7bf3f34078315d82ee89a86 (patch)
tree69a941a7d808fe02d1e840b2b45d8325700c4f33 /network/varnish
parentbfc1cc0d95633688d16e3a0f108db050f60a20c3 (diff)
downloadslackbuilds-fed255237c59c298f7bf3f34078315d82ee89a86.tar.gz
slackbuilds-fed255237c59c298f7bf3f34078315d82ee89a86.tar.xz
network/varnish: Updated for version 1.1.2
Diffstat (limited to 'network/varnish')
-rw-r--r--network/varnish/README2
-rw-r--r--network/varnish/rc.varnishd11
-rw-r--r--network/varnish/varnish.SlackBuild20
-rw-r--r--network/varnish/varnish.info2
4 files changed, 21 insertions, 14 deletions
diff --git a/network/varnish/README b/network/varnish/README
index f41f7b1571..fd69914faf 100644
--- a/network/varnish/README
+++ b/network/varnish/README
@@ -1,4 +1,4 @@
-VARNISH - a state-of-the-art, high-performance HTTP accelerator.
+VARNISH -- a state-of-the-art, high-performance HTTP accelerator.
Varnish is targeted primarily at the FreeBSD 6 and Linux 2.6 platforms,
and will take full advantage of the virtual memory system and advanced
diff --git a/network/varnish/rc.varnishd b/network/varnish/rc.varnishd
index 5d8ba96833..51be3f59ed 100644
--- a/network/varnish/rc.varnishd
+++ b/network/varnish/rc.varnishd
@@ -1,9 +1,10 @@
#!/bin/sh
-# Written to start/stop/restart varnishd.
-# by Cherife Li <cherife@dotimes.com>
+#
+# Written to control varnish daemon for Slackware Linux
+# by Cherife Li <cherife@dotimes.com>.
#
-VARNISH_VCL_CONF=/etc/default.vcl
+VARNISH_VCL_CONF=/etc/varnish/default.vcl
VARNISH_PIDFILE=/var/run/varnish.pid
VARNISH_LOCKFILE=/var/lock/subsys/varnish
VARNISH_DAEMON=/usr/sbin/varnishd
@@ -76,11 +77,11 @@ case "$1" in
;;
'restart')
$0 stop
- sleep 1
+ sleep 3
$0 start
;;
*)
- echo "usage $0 start|stop|restart"
+ echo "usage $0 {start|stop|restart}"
exit 1
esac
diff --git a/network/varnish/varnish.SlackBuild b/network/varnish/varnish.SlackBuild
index d15a775208..acc7ae779f 100644
--- a/network/varnish/varnish.SlackBuild
+++ b/network/varnish/varnish.SlackBuild
@@ -1,7 +1,9 @@
#!/bin/sh
-# Build/install varnish the way Slackware's binary package is made:
+#
+# Slackware build script for ganglia
# Written by Cherife Li <cherife@dotimes.com>
# Modified by Robby Workman <rworkman@slackbuilds.org>
+#
PRGNAM=varnish
VERSION=1.1.2
@@ -15,9 +17,11 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -26,7 +30,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -41,9 +45,11 @@ CXXFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc/varnish \
--localstatedir=/var \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-make -j6
+make
make install DESTDIR=$PKG
mkdir -p $PKG/etc/{varnish,rc.d}
@@ -52,7 +58,7 @@ cat etc/zope-plone.vcl > $PKG/etc/varnish/zope-plone.vcl.new
cat $CWD/rc.varnishd > $PKG/etc/rc.d/rc.varnishd.new
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
diff --git a/network/varnish/varnish.info b/network/varnish/varnish.info
index 49c7285bf2..e60a186d44 100644
--- a/network/varnish/varnish.info
+++ b/network/varnish/varnish.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://downloads.sourceforge.net/varnish/varnish-1.1.2.tar.gz"
MD5SUM="d9f74dae59a2158cdc31f446b6d92397"
MAINTAINER="Cherife Li"
EMAIL="cherife@dotimes.com"
-APPROVED="rworkman"
+APPROVED="David Somero"